Package csb :: Package bio :: Package io :: Module mrc :: Class HeaderInfo

[frames] | no frames]

# Class HeaderInfo

source code

    object --+
             |
            HeaderInfo

Instance Methods

__getitem__(self, i) | source code

__init__(self, fields) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| alpha
| amax
| amean
| amin
| beta
| gamma
| ispg
| lskflg
| mapc
| mapr
| maps
| mode
| nc
| ncstart
| nr
| nrstart
| ns
| nsstart
| nsymbt
| nx
| ny
| nz
| x
| y
| z
Inherited from `object`: `__class__`

Method Details

### __init__(self, fields)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### alpha

Get Method:
  unreachable.alpha(self)

### amax

Get Method:
  unreachable.amax(self)

### amean

Get Method:
  unreachable.amean(self)

### amin

Get Method:
  unreachable.amin(self)

### beta

Get Method:
  unreachable.beta(self)

### gamma

Get Method:
  unreachable.gamma(self)

### ispg

Get Method:
  unreachable.ispg(self)

### lskflg

Get Method:
  unreachable.lskflg(self)

### mapc

Get Method:
  unreachable.mapc(self)

### mapr

Get Method:
  unreachable.mapr(self)

### maps

Get Method:
  unreachable.maps(self)

### mode

Get Method:
  unreachable.mode(self)

### nc

Get Method:
  unreachable.nc(self)

### ncstart

Get Method:
  unreachable.ncstart(self)

### nr

Get Method:
  unreachable.nr(self)

### nrstart

Get Method:
  unreachable.nrstart(self)

### ns

Get Method:
  unreachable.ns(self)

### nsstart

Get Method:
  unreachable.nsstart(self)

### nsymbt

Get Method:
  unreachable.nsymbt(self)

### nx

Get Method:
  unreachable.nx(self)

### ny

Get Method:
  unreachable.ny(self)

### nz

Get Method:
  unreachable.nz(self)

### x

Get Method:
  unreachable.x(self)

### y

Get Method:
  unreachable.y(self)

### z

Get Method:
  unreachable.z(self)